> ## Documentation Index
> Fetch the complete documentation index at: https://www.cashfree.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch Downtime by ID

> Fetches details of a specific downtime using its unique ID.



## OpenAPI

````yaml get /incident/{id}
openapi: 3.0.0
info:
  version: '2025-01-01'
  title: Cashfree Payment Gateway APIs
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.html
  contact:
    email: developers@cashfree.com
    name: API Support
    url: https://discord.com/invite/QdZkNSxXsB
  description: >-
    Cashfree's Payment Gateway APIs provide developers with a streamlined
    pathway to integrate advanced payment processing capabilities into their
    applications, platforms and websites.
servers:
  - url: https://sandbox.cashfree.com/pg
    description: Sandbox server.
  - url: https://api.cashfree.com/pg
    description: Production server.
security: []
tags:
  - name: Orders
    description: Collection of APIs to handle orders.
  - name: Payments
    description: Collection of APIs to handle payments.
  - name: Refunds
    description: Collection of APIs to handle refunds.
  - name: Settlements
    description: Collection of APIs to handle settlements.
  - name: Payment Links
    description: Collection of APIs to handle payment links.
  - name: Token Vault
    description: >-
      Collection of APIs to use Cashfree's token Vault. This helps you save
      cards and tokenize them in a PCI complaint manner. We support creation of
      network tokens which can be used across acquiring banks.
  - name: softPOS
    description: Collection of APIs to manage softPOS' agent and order.
  - name: Offers
    description: Collection of APIs to handle offers.
  - name: Eligibility
    description: >-
      Collection of APIs to check eligibile entities - payment methods, offer,
      affordibility.
  - name: Settlement Reconciliation
    description: Collection of APIs to handle settlements.
  - name: PG Reconciliation
    description: Collection of APIs to handle reconciliation.
  - name: Customers
    description: Collection of APIs to handle customers.
  - name: Easy-Split
    description: Collection of APIs to handle Easy-Split.
  - name: Simulation
    description: Collection of APIs to handle simulation.
  - name: Disputes
    description: Collection of APIs to handle disputes.
  - name: Utilities
    description: Collection of APIs for utility requirement.
  - name: Downtimes
    description: Collection of APIs for managing downtimes.
externalDocs:
  url: https://api.cashfree.com/pg
  description: This url will have the information of all the APIs.
paths:
  /incident/{id}:
    get:
      tags:
        - Intellisense
      summary: Fetch Downtime by ID
      description: Fetches details of a specific downtime using its unique ID.
      operationId: FetchDowntimeById
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
          description: The unique identifier of the downtime.
        - $ref: '#/components/parameters/apiVersionHeader'
      responses:
        '200':
          description: Success response for fetching Downtime by ID.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IncidentByIdResponse'
          headers:
            X-Api-Version:
              $ref: '#/components/headers/x-api-version'
        '401':
          $ref: '#/components/responses/Response401'
        '404':
          $ref: '#/components/responses/Response404'
        '500':
          $ref: '#/components/responses/Response500'
      security:
        - XClientID: []
          XClientSecret: []
components:
  parameters:
    apiVersionHeader:
      in: header
      name: x-api-version
      required: true
      description: API version to be used. Format is in YYYY-MM-DD.
      schema:
        type: string
        description: API version to be used.
        default: '2025-01-01'
      example: '2025-01-01'
      x-ignore: true
  schemas:
    IncidentByIdResponse:
      title: IncidentByIdResponse
      description: Success response for Fetch Downtime by ID.
      type: object
      properties:
        incident_id:
          type: string
          description: Unique identifier for the incident.
          example: incident_20240415091057099071
        incident_impact:
          type: string
          description: Impact level of the incident.
          enum:
            - HIGH
            - MEDIUM
            - LOW
          example: MEDIUM
        incident_message:
          type: string
          description: Description of the issue.
          example: >-
            Some UPI transactions are failing due to intermittent issues with
            NPCI.
        incident_start_time:
          type: string
          format: date-time
          description: Start time of the incident.
          example: '2025-04-15T08:00:00Z'
        incident_end_time:
          type: string
          format: date-time
          nullable: true
          description: End time of the incident, if applicable; null if still ongoing.
          example: '2025-04-16T08:00:00Z'
        incident_status:
          type: string
          description: Current status of the incident.
          enum:
            - ACTIVE
            - UPCOMING
            - RESOLVED
          example: ACTIVE
        incident_type:
          type: string
          description: Type of the incident.
          example: SCHEDULED
        payment_method:
          oneOf:
            - $ref: '#/components/schemas/UPIDowntime'
            - $ref: '#/components/schemas/CardDowntime'
            - $ref: '#/components/schemas/NetBankingDowntime'
            - $ref: '#/components/schemas/WalletDowntime'
    UPIDowntime:
      type: object
      title: UPI Incident
      description: >-
        The UPI incident object will show details about the incident affecting
        UPI payments.
      example:
        upi:
          upi_issuer:
            - ALL_BANKS
          upi_psp:
            - ALL_PSP
          upi_vpa:
            - ybl
          is_npci_downtime: false
      properties:
        upi:
          type: object
          properties:
            upi_issuer:
              type: array
              items:
                type: string
              example:
                - ALL_BANKS
            upi_psp:
              type: array
              items:
                type: string
              example:
                - ALL_PSP
            upi_vpa:
              type: array
              items:
                type: string
              example:
                - ybl
            is_npci_downtime:
              type: boolean
              example: false
    CardDowntime:
      type: object
      title: Card Incident
      description: >-
        The Card incident object will show details about the incident affecting
        card payments.
      example:
        card:
          card_issuer:
            - State Bank of India
          card_type:
            - CREDIT_CARD
          card_network:
            - VISA
      properties:
        card:
          type: object
          properties:
            card_issuer:
              type: array
              items:
                type: string
              example:
                - State Bank of India
            card_type:
              type: array
              items:
                type: string
              enum:
                - CREDIT_CARD
                - DEBIT_CARD
                - ALL_CARDS
              example:
                - ALL_CARDS
            card_network:
              type: array
              items:
                type: string
              enum:
                - VISA
                - MASTERCARD
                - RUPAY
                - MAESTRO
                - AMEX
                - ALL_NETWORKS
              example:
                - VISA
    NetBankingDowntime:
      type: object
      title: NetBanking Incident
      description: >-
        The Net Banking incident object will show details about the incident
        affecting net banking payments.
      example:
        net_banking:
          net_banking_issuer:
            - State Bank of India
          bank_code: '3012'
      properties:
        net_banking:
          type: object
          properties:
            net_banking_issuer:
              type: array
              items:
                type: string
              example:
                - Bank of Baroda
            bank_code:
              type: string
              example: '3012'
    WalletDowntime:
      type: object
      title: Wallet incident
      description: >-
        The Wallet incident object will show details about the incident
        affecting wallet payments.
      example:
        wallet:
          wallet_issuer:
            - Mobikwik
      properties:
        wallet:
          type: object
          properties:
            wallet_issuer:
              type: array
              items:
                type: string
              example:
                - Mobikwik
    AuthenticationError:
      title: AuthenticationError
      description: Error if api keys are wrong.
      example:
        message: authentication Failed
        code: request_failed
        type: authentication_error
      type: object
      properties:
        message:
          type: string
        code:
          type: string
        type:
          type: string
          description: authentication_error.
    ApiError404:
      title: ApiError404
      description: Error when resource requested is not found.
      example:
        message: something is not found
        help: >-
          Check latest errors and resolution from Merchant Dashboard API logs:
          https://bit.ly/4glEd0W Help Document: https://bit.ly/4eeZYO9
        code: something_not_found
        type: invalid_request_error
      type: object
      properties:
        message:
          type: string
        code:
          type: string
        help:
          type: string
        type:
          type: string
          enum:
            - invalid_request_error
          description: invalid_request_error.
    ApiError:
      title: ApiError
      description: Error at Cashfree's server.
      example:
        message: internal Server Error
        help: >-
          Check latest errors and resolution from Merchant Dashboard API logs:
          https://bit.ly/4glEd0W Help Document: https://bit.ly/4eeZYO9
        code: internal_error
        type: api_error
      type: object
      properties:
        message:
          type: string
        code:
          type: string
        help:
          type: string
        type:
          type: string
          enum:
            - api_error
          description: api_error.
  headers:
    x-api-version:
      schema:
        type: string
        format: YYYY-MM-DD
        enum:
          - '2025-01-01'
      description: >-
        This header has the version of the API. The current version is
        `2025-01-01`.
    x-ratelimit-limit:
      schema:
        type: integer
      example: 200
      description: Ratelimit set for your account for this API per minute.
    x-ratelimit-remaining:
      schema:
        type: integer
      example: 2
      description: >-
        Rate limit remaning for your account for this API in the next minute.
        Uses sliding window.
    x-ratelimit-retry:
      schema:
        type: integer
      example: 4
      description: |
        Contains number of seconds to wait if rate limit is breached
        - Is 0 if withing the limit
        - Is between 1 and 59 if breached
    x-ratelimit-type:
      schema:
        type: string
        enum:
          - app_id
          - ip
      example: ip
      description: >
        either ip or app_id

        - `ip` if making a call from the browser. True for api where you don't
        need `x-client-id` and `x-client-secret`

        - `app_id` for authenticated api calls i.e using `x-client-id` and
        `x-client-secret`
    x-request-id:
      schema:
        type: string
      example: some-req-id
      description: >-
        Request id for your api call. Is blank or null if no `x-request-id` is
        sent during the request.
    x-idempotency-key:
      schema:
        type: string
      example: some-idem-id
      description: >-
        An idempotency key is a unique identifier you include with your API
        call. If the request fails or times out, you can safely retry it using
        the same key to avoid duplicate actions.
    x-idempotency-replayed:
      schema:
        type: string
        format: boolean
      example: 'true'
      description: |-
        In conjunction with `x-idempotency-key` this means
        - `true` if the response was replayed
        - `false` if the response has not been replayed.
  responses:
    Response401:
      description: Authentication Error.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/AuthenticationError'
      headers:
        x-api-version:
          $ref: '#/components/headers/x-api-version'
        x-ratelimit-limit:
          $ref: '#/components/headers/x-ratelimit-limit'
        x-ratelimit-remaining:
          $ref: '#/components/headers/x-ratelimit-remaining'
        x-ratelimit-retry:
          $ref: '#/components/headers/x-ratelimit-retry'
        x-ratelimit-type:
          $ref: '#/components/headers/x-ratelimit-type'
        x-request-id:
          $ref: '#/components/headers/x-request-id'
        x-idempotency-key:
          $ref: '#/components/headers/x-idempotency-key'
        x-idempotency-replayed:
          $ref: '#/components/headers/x-idempotency-replayed'
    Response404:
      description: Resource Not found.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiError404'
      headers:
        x-api-version:
          $ref: '#/components/headers/x-api-version'
        x-ratelimit-limit:
          $ref: '#/components/headers/x-ratelimit-limit'
        x-ratelimit-remaining:
          $ref: '#/components/headers/x-ratelimit-remaining'
        x-ratelimit-retry:
          $ref: '#/components/headers/x-ratelimit-retry'
        x-ratelimit-type:
          $ref: '#/components/headers/x-ratelimit-type'
        x-request-id:
          $ref: '#/components/headers/x-request-id'
        x-idempotency-key:
          $ref: '#/components/headers/x-idempotency-key'
        x-idempotency-replayed:
          $ref: '#/components/headers/x-idempotency-replayed'
    Response500:
      description: API related Error.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiError'
      headers:
        x-api-version:
          $ref: '#/components/headers/x-api-version'
        x-ratelimit-limit:
          $ref: '#/components/headers/x-ratelimit-limit'
        x-ratelimit-remaining:
          $ref: '#/components/headers/x-ratelimit-remaining'
        x-ratelimit-retry:
          $ref: '#/components/headers/x-ratelimit-retry'
        x-ratelimit-type:
          $ref: '#/components/headers/x-ratelimit-type'
        x-request-id:
          $ref: '#/components/headers/x-request-id'
        x-idempotency-key:
          $ref: '#/components/headers/x-idempotency-key'
        x-idempotency-replayed:
          $ref: '#/components/headers/x-idempotency-replayed'
  securitySchemes:
    XClientID:
      type: apiKey
      in: header
      name: x-client-id
      description: >-
        Client app ID. You can find your app id in the [Merchant
        Dashboard](https://merchant.cashfree.com/auth/login/pg/developers/api-keys?env=prod).
    XClientSecret:
      type: apiKey
      in: header
      name: x-client-secret
      description: >-
        Client secret key. You can find your secret key in the [Merchant
        Dashboard](https://merchant.cashfree.com/auth/login/pg/developers/api-keys?env=prod).

````